Index: libbsd.py
===================================================================
--- libbsd.py	(revision 5f3722a8d9baed44ea22715c22e052dff2577a80)
+++ libbsd.py	(revision de8a76da2f374792594ce03a203b3f30e4889f6f)
@@ -51,4 +51,5 @@
             'local/cryptodev_if.c',
             'local/device_if.c',
+            'local/ifdi_if.c',
             'local/miibus_if.c',
             'local/ofw_bus_if.c',
@@ -246,4 +247,5 @@
             'sys/sys/fnv_hash.h',
             'sys/sys/gpio.h',
+            'sys/sys/gtaskqueue.h',
             'sys/sys/hash.h',
             'sys/sys/hhook.h',
@@ -275,4 +277,5 @@
             'sys/sys/mutex.h',
             'sys/sys/_null.h',
+            'sys/sys/nv.h',
             'sys/sys/osd.h',
             'sys/sys/pcpu.h',
@@ -445,5 +448,8 @@
             'sys/dev/mmc/bridge.h',
             'sys/dev/mmc/mmcbrvar.h',
+            'sys/dev/mmc/mmc_ioctl.h',
+            'sys/dev/mmc/mmc_private.h',
             'sys/dev/mmc/mmcreg.h',
+            'sys/dev/mmc/mmc_subr.h',
             'sys/dev/mmc/mmcvar.h',
         ]
@@ -453,4 +459,5 @@
             'sys/dev/mmc/mmc.c',
             'sys/dev/mmc/mmcsd.c',
+            'sys/dev/mmc/mmc_subr.c',
         ],
         mm.generator['source']()
@@ -1110,8 +1117,10 @@
             'sys/dev/led/led.h',
             'sys/net/bpf.h',
+            'sys/net/dlt.h',
             'sys/net/ethernet.h',
             'sys/net/if_arp.h',
             'sys/net/if_dl.h',
             'sys/net/if.h',
+            'sys/net/iflib.h',
             'sys/net/if_media.h',
             'sys/net/ifq.h',
@@ -1187,4 +1196,5 @@
             'sys/mips/include/cpuregs.h',
             'sys/powerpc/include/cpufunc.h',
+            'sys/powerpc/include/intr_machdep.h',
             'sys/powerpc/include/psl.h',
             'sys/powerpc/include/spr.h',
@@ -1267,6 +1277,4 @@
             'sys/dev/e1000/e1000_vf.h',
             'sys/dev/e1000/if_em.h',
-            'sys/dev/e1000/if_igb.h',
-            'sys/dev/e1000/if_lem.h',
         ]
     )
@@ -1290,7 +1298,7 @@
             'sys/dev/e1000/e1000_phy.c',
             'sys/dev/e1000/e1000_vf.c',
+            'sys/dev/e1000/em_txrx.c',
             'sys/dev/e1000/if_em.c',
-            'sys/dev/e1000/if_igb.c',
-            'sys/dev/e1000/if_lem.c',
+            'sys/dev/e1000/igb_txrx.c',
         ],
         mm.generator['source']()
@@ -1521,5 +1529,4 @@
             'sys/netinet/ip.h',
             'sys/netinet/ip_icmp.h',
-            'sys/netinet/ip_ipsec.h',
             'sys/netinet/ip_mroute.h',
             'sys/netinet/ip_options.h',
@@ -1666,5 +1673,4 @@
             'sys/netinet6/ip6_ecn.h',
             'sys/netinet6/ip6.h',
-            'sys/netinet6/ip6_ipsec.h',
             'sys/netinet6/ip6_mroute.h',
             'sys/netinet6/ip6protosw.h',
@@ -1732,7 +1738,7 @@
             'sys/netipsec/ipcomp.h',
             'sys/netipsec/ipcomp_var.h',
-            'sys/netipsec/ipip_var.h',
             'sys/netipsec/ipsec6.h',
             'sys/netipsec/ipsec.h',
+            'sys/netipsec/ipsec_support.h',
             'sys/netipsec/keydb.h',
             'sys/netipsec/key_debug.h',
@@ -1745,17 +1751,18 @@
     mod.addKernelSpaceSourceFiles(
         [
-            'sys/netinet/ip_ipsec.c',
-            'sys/netinet6/ip6_ipsec.c',
             'sys/netipsec/ipsec.c',
             'sys/netipsec/ipsec_input.c',
             'sys/netipsec/ipsec_mbuf.c',
+            'sys/netipsec/ipsec_mod.c',
             'sys/netipsec/ipsec_output.c',
+            'sys/netipsec/ipsec_pcb.c',
             'sys/netipsec/key.c',
             'sys/netipsec/key_debug.c',
             'sys/netipsec/keysock.c',
+            'sys/netipsec/subr_ipsec.c',
+            'sys/netipsec/udpencap.c',
             'sys/netipsec/xform_ah.c',
             'sys/netipsec/xform_esp.c',
             'sys/netipsec/xform_ipcomp.c',
-            'sys/netipsec/xform_ipip.c',
             'sys/netipsec/xform_tcp.c',
         ],
@@ -1801,4 +1808,5 @@
             'sys/net80211/ieee80211_tdma.h',
             'sys/net80211/ieee80211_var.h',
+            'sys/net80211/ieee80211_vht.h',
             'sys/net80211/ieee80211_wds.h',
         ]
@@ -1843,4 +1851,5 @@
             'sys/net80211/ieee80211_superg.c',
             'sys/net80211/ieee80211_tdma.c',
+            'sys/net80211/ieee80211_vht.c',
             'sys/net80211/ieee80211_wds.c',
             'sys/net80211/ieee80211_xauth.c',
@@ -1897,4 +1906,5 @@
     mod.addKernelSpaceHeaderFiles(
         [
+            'sys/crypto/intake.h',
             'sys/crypto/skein/skein_iv.h',
             'sys/crypto/skein/skein_freebsd.h',
